Get Account Statement
Get Account Statement
The Account Statement service is used to retrieve summary account statement information for the specified account, currency and period.
The service returns the opening and closing balances for the period, as well as total credits and debits for the specified period.
Endpoint
GET /bab/v1/accounts/statements
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| AccountNumber | string | ✅ | Account number / IBAN |
| AccountCurrencyCode | string | ✅ | Account currency |
| PeriodFrom | date-time | ✅ | Statement period start date. Only the date component is used; the time component and time zone do not affect the result. |
| PeriodTo | date-time | ✅ | Statement period end date. Only the date component is used; the time component and time zone do not affect the result. |
Response Parameters
| Field | Type | Description |
|---|---|---|
| openingDate | date-time | Date from which statement data starts |
| openingBalance | number | Opening booked/available balance as of openingDate |
| closingDate | date-time | Date that ends the statement period |
| closingBalance | number | Closing available balance as of closingDate |
| creditSum | number | Total credits during the specified period |
| debitSum | number | Total debits during the specified period |
| currency | string | Account currency |
| accountNumber | string | Account number / IBAN |
Request / Response Example
GET /bab/v1/accounts/statements?AccountNumber=GE12TB7189885380696572&AccountCurrencyCode=GEL&PeriodFrom=2026-01-01T00:00:00&PeriodTo=2026-06-01T00:00:00
{
"openingDate": "2026-01-01T00:00:00",
"openingBalance": 0,
"closingDate": "2026-06-01T00:00:00",
"closingBalance": -8.90,
"creditSum": 10172.6,
"debitSum": 10181.50,
"currency": "GEL",
"accountNumber": "GE12TB7189885380696572"
}Updated 6 days ago
Did this page help you?
